Bug 848807 - Roll up patch SOA_5.3_1_2012
Roll up patch SOA_5.3_1_2012
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivo Bek
:
Depends On: 858364 820031 823711 845165 862055 865728 876270
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 08:57 EDT by Rick Wagner
Modified: 2013-04-12 09:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: BZ-848807 PRODUCT NAME: JBoss Enterprise SOA Platform VERSION: 5.3.0 SHORT DESCRIPTION: SOA-P 5.3.0 roll-up patch #1 (ESB, commons-resolver) LONG DESCRIPTION: This is a roll-up patch to SOA-P 5.3.0 which includes fixes and updates for ESB and Apache commons-resolver. This patch includes the following fixes: [BZ-820031] [JBESB-3796] Exception handling after SyncServiceInvoker fails [BZ-823711] [JBESB-3802] Rewrite schemas imported by SOAPProcessor to point to locally cached versions [BZ-845165] [JBESB-3838] Http Provider returns 200 http response code for Soap Fault [BZ-858364] [JBCOMMON-106] xml-commons resolver does not handle Windows paths properly [BZ-862055] [JBESB-3853] NPE thrown in SqlTableGatewayListener.getDbConn() causes the listener to stop polling [BZ-865728] [JBESB-3772] SyncServiceInvoker does not reset ReplyTo and FaultTo EPR when deliverSync is succesful MANUAL INSTALL INSTRUCTIONS: Apply the patch jars: - Back up and remove the following jars: $JBOSS_HOME/jboss-as/lib/endorsed/resolver.jar $JBOSS_HOME/jboss-as/server/<configuration>/deployers/esb.deployer/lib/jbossesb-rosetta.jar $JBOSS_HOME/jboss-as/server/<configuration>/deploy/soap.esb/jbossesb-soap.jar - Copy the jar(s) from BZ848807.zip to the same locations: $JBOSS_HOME/jboss-as/lib/endorsed/resolver.jar $JBOSS_HOME/jboss-as/server/<configuration>/deployers/esb.deployer/lib/jbossesb-rosetta.jar $JBOSS_HOME/jboss-as/server/<configuration>/deploy/soap.esb/jbossesb-soap.jar COMPATIBILITY: SOA-P 5.3.0 DEPENDENCIES: NA SUPERSEDES: NA SUPERSEDED BY: NA CREATOR: Julian Coleman DATE: 17 October, 2012
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 04:32:17 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for SOA-P 5.3 (2.02 MB, patch)
2012-10-22 04:04 EDT, Ivo Bek
no flags Details | Diff
Patch for SOA-P 5.3 (zip) (2.02 MB, application/zip)
2012-10-22 04:06 EDT, Ivo Bek
no flags Details

  None (edit)
Description Rick Wagner 2012-08-16 08:57:51 EDT
First Roll up for SOA-P 5.3.
Comment 1 Ivo Bek 2012-10-19 11:22:49 EDT
QA Tests Passed.

c426cf1172c031c64bd2de46265f191c  jbossesb-rosetta.jar
7592692a201850d1a99ada401b08e632  jbossesb-soap.jar
56cf157b427accb3be70c9a1864f697a  resolver.jar

0dbb3ccebe7e431bc19a3c26bba50305  BZ848807.zip
Comment 2 Ivo Bek 2012-10-19 11:26:59 EDT
Please upload this patch to the CSP.
Comment 4 Ivo Bek 2012-10-22 04:04:02 EDT
Created attachment 631318 [details]
Patch for SOA-P 5.3
Comment 5 Ivo Bek 2012-10-22 04:06:30 EDT
Created attachment 631319 [details]
Patch for SOA-P 5.3 (zip)
Comment 7 Tushar Gandotra 2012-10-24 04:32:17 EDT
This patch is applicable to JBoss SOA Platform 5.3.0 . It is available for download
from the following location:
https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=16663

Note You need to log in before you can comment on or make changes to this bug.